[mgr]
prepend_keymap = [
  {on = [ ";" ], run  = 'shell "$SHELL" --block --confirm', desc = "Open shell here"},

  {on = [ ":","q","a","<Enter>" ], run  = 'quit',  desc = "Close the current tab"},
  {on = [ ":","q","<Enter>" ],     run  = 'close', desc = "Close the current tab"},

  # Makes "Enter" key necessary to press
  {on = [ ":","q","a","<Esc>" ], run  = 'echo meow', desc = ""},

  {on = [ "q" ], run  = 'noop'},

  {on = [ "g","e" ], run  = 'cd /etc', desc = "Go to /etc"},
  {on = [ "g","r" ], run  = 'cd /', desc = "Go to /"},
  {on = [ "g","s" ], run  = 'cd /srv', desc = "Go to /srv"},
  {on = [ "g","u" ], run  = 'cd /usr', desc = "Go to /usr"},
  {on = [ "g","v" ], run  = 'cd /var', desc = "Go to /var"},
  {on = [ "g","c" ], run  = 'cd ~/.config', desc = "Go to .config"},

  {on = [ "v" ], run  = 'select_all --state=true', desc = "Select all files"},
  {on = [ "V" ], run  = 'visual_mode', desc = "Enter visual mode"},

  {on = [ "y" ], run = [
    'shell -- for path in "$@"; do echo "file://$path"; done | wl-copy -t text/uri-list',
    "yank"
  ]},

  {on = [ "D", "<Enter>" ], run  = 'remove --force --permanently', desc = "Permanently delete"},
]
